> ## Documentation Index
> Fetch the complete documentation index at: https://docs.terraspect.earth/llms.txt
> Use this file to discover all available pages before exploring further.

# Overview

> Get overview of financials for a project



## OpenAPI

````yaml get /financials/overview/{project_id}
openapi: 3.0.0
info:
  title: Terraspect API
  version: 0.0.2
servers:
  - url: https://api.terraspect.earth
    description: Production server
security: []
tags:
  - name: Projects
    description: Endpoints for retrieving project and developer information
  - name: Impact
    description: Endpoints for accessing impact and community metrics
  - name: Financials
    description: Endpoints for accessing financial data (some require extended permissions)
paths:
  /financials/overview/{project_id}:
    get:
      summary: Get Financials Overview
      description: Retrieves basic financial information for a specific project
      operationId: getFinancialsOverview
      parameters:
        - name: project_id
          in: path
          required: true
          description: Unique identifier of the project
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Financial overview successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FinancialsOverview'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                missing_token:
                  summary: No token provided
                  value:
                    code: MISSING_TOKEN
                    message: No bearer token provided
                expired_token:
                  summary: Token expired
                  value:
                    code: TOKEN_EXPIRED
                    message: Token has expired. Please obtain a new token.
                invalid_token:
                  summary: Invalid token
                  value:
                    code: INVALID_TOKEN
                    message: Token is malformed or signature is invalid
        '404':
          description: Project not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - ExtendedAuth: []
components:
  schemas:
    FinancialsOverview:
      type: object
      required:
        - project_id
        - revenue_share_percentage
        - payment_frequency
      properties:
        project_id:
          type: string
          description: Project identifier
          example: proj_789012
        revenue_share_percentage:
          type: number
          description: Percentage of revenue shared with community
          minimum: 0
          maximum: 100
          example: 30.5
        payment_frequency:
          type: integer
          description: Average payment frequency in days
          minimum: 1
          example: 30
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Error code for machine processing
          example: INVALID_PROJECT_ID
        message:
          type: string
          description: Human-readable error message
          example: The provided project ID does not exist
        details:
          type: object
          description: Additional error details when available
          nullable: true
  securitySchemes:
    ExtendedAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Extended access token required for more sensitive data, in the format
        `Authorization: Bearer <token>`

````